A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.
Returns a paginated list of senders for the specified project. If no page token is supplied then the first 50 will be returned.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders
curl -i -X GET \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/whatsapp/senders?pageToken=string&pageSize=1&filterStates=ACTIVE&filterStatuses=DRAFT' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'List of senders
Response
Response with senders.
{ "totalSize": 2, "pageSize": 50, "senders": [ { … }, { … } ] }